# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-devel
# END SourceDeps(oneline)
%define oldname python-unipath
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%{!?pyver: %global pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

%global oname  Unipath

Summary:       Alternative to Python modules os, os.path and shutil
Name:          python-module-unipath
Version:       0.2.1
Release:       alt1_8
License:       Python
Group:         Development/Tools
URL  :         http://pypi.python.org/pypi/Unipath/
Source0:       http://pypi.python.org/packages/source/U/Unipath/%{oname}-%{version}.tar.gz
BuildArch:     noarch
BuildRequires: python-module-distribute python-module-nose dos2unix
Source44: import.info

%description

Unipath is a package for doing pathname calculations and filesystem
access in an object-oriented manner, an alternative to functions in
os.path, shutil and glob, and even some functions in os.* It's based
on Jason Orendorff's path.py but does not adhere as strictly to the
underlying functions' syntax, in order to provide more user
convenience and higher-level functionality. For example:

 o p.mkdir() succeeds silently if the directory already exists, and
 o p.mkdir(True) creates intermediate directories a la os.makedirs.
 o p.rmtree(parents=True) combines shutil.rmtree, os.path.isdir,
   os.remove, and os.removedirs, to recursively remove whatever it is
   if it exists.
 o p.read_file("rb") returns the file's contents in binary mode.
 o p.needs_update([other_path1, ...]) returns True if p doesn't exist
   or has an older timestamp than any of the others.
 o extra convenience functions in the unipath.tools module. dict2dir
   creates a directory hierarchy described by a dict. dump_path displays
   an ASCII tree of a directory hierarchy.

%prep
%setup -q -n %{oname}-%{version}
for f in doc/reference/{test_,}path_nr.py ; do
    dos2unix -k $f
done
for f in README.txt doc/reference/path_355.py ; do
    iconv -f ISO-8859-1 -t UTF-8 -o $f.utf8 $f && \
    touch -r $f $f.utf8 && \
    %{__mv} $f.utf8 $f
done

# To avoid warning about script without execute bit set
%{__sed} -i -e '1d' unipath/test.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
%{__cp} unipath/test.py .
%{__python} test.py

%files
%doc BUGS.txt CHANGES doc/reference/ PKG-INFO README.html README.txt 
%{python_sitelibdir_noarch}/unipath/
%{python_sitelibdir_noarch}/%{oname}-%{version}-py%{pyver}.egg-info

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.1-alt1_8
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.2.1-alt1_7
- initial fc import

